Last modified: 2014-10-10 00:51:54 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 71250 - Documentation: JS Documentation out of date since OOJS move
Documentation: JS Documentation out of date since OOJS move
Status: RESOLVED FIXED
Product: MobileFrontend
Classification: Unclassified
Hygiene (Other open bugs)
unspecified
All All
: Unprioritized normal
: ---
Assigned To: Jon
:
Depends on:
Blocks: documentation
  Show dependency treegraph
 
Reported: 2014-09-24 19:23 UTC by Jon
Modified: 2014-10-10 00:51 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Jon 2014-09-24 19:23:10 UTC
When running `make docs`

jsduck javascripts/ --output docs/js/ --external=jQuery.Object,Hogan.Template,jQuery.Deferred,mw.user --exclude=javascripts/external --ignore-global
pWarning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/common/mainmenu.js:7: Global method: closeNavigationDrawers
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/common/mainmenu.js:16: Global method: openNavigationDrawer
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/editor/editor.js:64: Global method: getPreferredEditor
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/editor/editor.js:84: Global method: setupEditor
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/editor/editor.js:181: Global method: initCta
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/editor/editor.js:210: Global method: showSorryToast
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/languages/languages.js:24: Global method: initButton
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/lastEdited/lastEdited.js:5: Global method: init
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/mainmenutweaks.js:1: Global property: 
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/mediaViewer/ImageApi.js:6: Global method: findSizeBucket
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/mf-stop-mobile-redirect.js:1: Global property: 
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/notifications/notifications.js:1: Global property: 
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/notifications/notifications.js:10: Global method: loadModuleScript
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/toggling/toggle.js:4: Global method: toggle
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/toggling/toggle.js:26: Global method: enableKeyboardActions
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/toggling/toggle.js:42: Global method: reveal
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/uploads/PhotoApi.js:48: Global method: generateFileName
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/watchstar/init.js:6: Global method: init
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/specials/notifications.js:28: Global method: loadMore
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/specials/notifications.js:85: Global method: markAsRead
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/specials/uploads.js:142: Global method: getDescription
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/common/api.js:7: Class EventEmitter not found
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/common/OverlayManager.js:7: Class Class not found
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/common/View.js:5: Class EventEmitter not found
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/wikigrok/WikiGrokDialog.js:10: Class InlineDialog not found
^R


Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/common/OverlayManager.js:86: Incorrect type syntax $.Event
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/common/OverlayManager.js:121: Unknown type object
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/common/OverlayManager.js:121: Unknown type object|null
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/common/OverlayManager.js:154: Unclosed HTML tag: <name>
Warning: /Users/jrobson/git/vagrant/mediawiki/extensions/MobileFrontend/javascripts/modules/watchstar/WatchstarApi.js:21: Unknown type array
Comment 1 Gerrit Notification Bot 2014-10-08 18:15:41 UTC
Change 165527 had a related patch set uploaded by Jdlrobson:
Hygiene: Cleanup Mantle documentation

https://gerrit.wikimedia.org/r/165527
Comment 2 Gerrit Notification Bot 2014-10-09 22:40:22 UTC
Change 165527 merged by jenkins-bot:
Hygiene: Cleanup Mantle documentation

https://gerrit.wikimedia.org/r/165527

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links